package com.example.trainingPartner.dto;

import java.io.Serializable;
import java.util.Objects;

public class PointDTO implements Serializable{
        public double latitude;
        public double longitude;

        public PointDTO(double a, double o){
            this.latitude=a;
            this.longitude=o;
        }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        PointDTO pointDTO = (PointDTO) o;
        return Double.compare(pointDTO.latitude, latitude) == 0 && Double.compare(pointDTO.longitude, longitude) == 0;
    }

    @Override
    public int hashCode() {
        return Objects.hash(latitude, longitude);
    }
}

